Class | Fog::Compute::Libvirt::Server
In: | lib/fog/libvirt/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

destroy disk_path halt mac new new? poweroff private_ip_address public_ip_address ready? reboot resume save scp setup shutdown ssh ssh_proxy start stop stopped? suspend update_display vnc_port volumes

### Included Modules

Fog::Compute::LibvirtUtil

### External Aliases

active | -> | active?

### Attributes

iso_dir | [RW] |
     The following attributes are only needed when creating a new vm
TODO: Add depreciation warning
iso_file | [RW] |
     The following attributes are only needed when creating a new vm
TODO: Add depreciation warning
network_bridge_name | [RW] |
network_interface_type | [RW] |
network_nat_network | [RW] |
password | [RW] |
volume_allocation | [RW] |
volume_capacity | [RW] |
volume_format_type | [RW] |
volume_name | [RW] |
volume_path | [RW] |
volume_pool_name | [RW] |
volume_template_name | [RW] |
volumes_path | [RW] |
xml | [R] |

### Public Class methods

new(attributes={} )

Can be created by passing in :xml => "<xml to create domain/server>" or by providing :template_options => {

                   :name => "", :cpus => 1, :memory_size => 256 , :volume_template
      }

### Public Instance methods

destroy(options={ :destroy_volumes => false})
disk_path()
halt()

Alias for poweroff

mac()
new?()
poweroff()
private_ip_address()
public_ip_address()
ready?()
reboot()
resume()
save()
scp(local_path, remote_path, upload_options = {})

Transfers a file

setup(credentials = {})

Sets up a new key

shutdown()
ssh(commands)
ssh_proxy()
start()
stop()

Alias for shutdown

stopped?()
suspend()
update_display(attrs = {})
vnc_port()

can‘t use deprecate method, as the value is part of the display hash

volumes()

[Validate]